<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<title>Fedora Bootstrap Documentation</title>

		<link href="dist/fedora-bootstrap.min.css" rel="stylesheet">
		<link href="assets/open-sans.css" type="text/css" rel="stylesheet" />
	</head>

	<body>
		<nav class="navbar navbar-expand-lg navbar-light masthead justify-content-between py-2">
			<div class="container">
				<a class="navbar-brand" href="/"><img src="assets/logo.png" alt="Fedora Account System logo" height="40"></a>
				</div>
		</nav>
		
		<div class="bg-lightstyles-primary border-bottom border-lightstyles-primary text-lightstyles-primary py-5">
			<div class="container section">
			  <div class="row">
				<div class="col-md-12">
					<h2 class="display-4">Bootstrap Components</h2>
					<p class="lead">
							Fedora Bootstrap ships with all the components, layout tools &amp;
							utilities of Bootstrap 5. Check out the
							<a href="https://getbootstrap.com/docs/">
								Bootstrap Documentation </a> for full details on all the
								elements available in Bootstrap 5.
					</p>
				</div>
			  </div>
			</div>
		</div>

		<div class="container pt-5 pb-5">
				<div class="row">
					<div class="col">
						<p>
							Fedora Bootstrap only slightly tweaks the styles of a few of these
							default elements. Listed below are some of the more common Bootstrap
							5 components that we use in Fedora Bootstrap based apps, and how
							they look with the theme.
						</p>
						<div class="mt-5">
							<h3 id="alerts"><strong>Alerts</strong></h3>
							<p>
								Provide contextual feedback messages for typical user actions
								with the handful of available and flexible alert messages.
								see the <a href="https://getbootstrap.com/docs">
									Bootstrap Documentation</a> for more details</p>
							</p>
							<div class="alert alert-success" role="alert">
							  <strong>Well done!</strong> You successfully read <a href="#" class="alert-link">this important alert message</a>.
							</div>
							<div class="alert alert-info" role="alert">
							  <strong>Heads up!</strong> This <a href="#" class="alert-link">alert needs your attention</a>, but it's not super important.
							</div>
							<div class="alert alert-warning" role="alert">
							  <strong>Warning!</strong> Better check yourself, you're <a href="#" class="alert-link">not looking too good</a>.
							</div>
							<div class="alert alert-danger" role="alert">
							  <strong>Oh snap!</strong> <a href="#" class="alert-link">Change a few things up</a> and try submitting again.
							</div>
						</div>
						<div class="mt-5">
							<h3 id="badge"><strong>Badges</strong></h3>
							<p>Small and adaptive tag for adding context to just about any content.
							see the <a href="https://getbootstrap.com/docs">Bootstrap Documentation</a> for more details</p>
							<h1>Example heading <span class="badge badge-default">Default</span></h1>
							<h2>Example heading <span class="badge badge-primary">Primary</span></h2>
							<h3>Example heading <span class="badge badge-success">Success</span></h3>
							<h4>Example heading <span class="badge badge-info">Info</span></h4>
							<h5>Example heading <span class="badge badge-warning">Warning</span></h5>
							<h6>Example heading <span class="badge badge-danger">Danger</span></h6>
						</div>
						<div class="mt-5">
							<h5 id="buttons"><strong>Buttons</strong></h5>
							<p>
								Use Bootstrap’s custom button styles for actions in forms, dialogs, and more. Includes support for a handful of contextual variations, sizes, states, and more.
							</p>
							<!-- Provides extra visual weight and identifies the primary action in a set of buttons -->
							<button type="button" class="btn btn-primary">Primary</button>

							<!-- Secondary, outline button -->
							<button type="button" class="btn btn-secondary">Secondary</button>

							<!-- Indicates a successful or positive action -->
							<button type="button" class="btn btn-success">Success</button>

							<!-- Contextual button for informational alert messages -->
							<button type="button" class="btn btn-info">Info</button>

							<!-- Indicates caution should be taken with this action -->
							<button type="button" class="btn btn-warning">Warning</button>

							<!-- Indicates a dangerous or potentially negative action -->
							<button type="button" class="btn btn-danger">Danger</button>

							<!-- Deemphasize a button by making it look like a link while maintaining button behavior -->
							<button type="button" class="btn btn-link">Link</button>

						</div>
						<div class="mt-5">
							<h5 id="card"><strong>Card</strong></h5>
							<p>
								A card is a flexible and extensible content container.
								It includes options for headers and footers, a wide variety of
								content, contextual background colors, and powerful display options.
								see the <a href="https://getbootstrap.com/docs">Bootstrap Documentation</a> for more details</p>
							</p>
							<div class="card my-2">
								<div class="card-header">Standard Card</div>
								<div class="card-body">This is a standard card with some simple text in the body</div>
							</div>

							<div class="card bg-primary my-2">
								<div class="card-header">card-primary</div>
								<div class="card-body">This is a standard card with some simple text in the body</div>
							</div>

							<div class="card bg-success my-2">
								<div class="card-header">card-success</div>
								<div class="card-body">This is a standard card with some simple text in the body</div>
							</div>

							<div class="card bg-warning my-2">
								<div class="card-header">card-warning</div>
								<div class="card-body">This is a standard card with some simple text in the body</div>
							</div>
							<div class="card bg-danger my-2">
								<div class="card-header">card-danger</div>
								<div class="card-body alert-danger">This is a standard card with some simple text in the body</div>
							</div>
						</div>
					</div>
				</div>
		</div>
		<footer class="footer">
			<div class="container">
				<div class="row justify-content-center">
					<div class="col-sm-3 col-4 mt-3">
					   <div>
						  <dl>
							 <dt class="text-uppercase h5"><strong>About</strong></dt>
							 <dd><a href="https://getfedora.org/">Get Fedora Linux</a></dd>
							 <dd><a href="https://getfedora.org/en/sponsors/">Sponsors</a></dd>
							 <dd><a href="https://fedoramagazine.org">Fedora Magazine</a></dd>
							 <dd><a href="https://fedoraproject.org/wiki/Legal:Main#Legal">Legal</a></dd>
						  </dl>
					   </div>
					</div>
					<div class="col-sm-3 col-4 mt-3">
					   <div>
						  <dl>
							 <dt class="text-uppercase h5"><strong>Support</strong></dt>
							 <dd><a href="https://fedoraproject.org/wiki/Communicating_and_getting_help">Get Help</a></dd>
							 <dd><a href="https://ask.fedoraproject.org/">Ask Fedora</a></dd>
							 <dd><a href="https://fedoraproject.org/wiki/Common_F33_bugs">Common Bugs</a></dd>
							 <dd><a href="https://developer.fedoraproject.org/">Fedora Developer Portal</a></dd>
						  </dl>
					   </div>
					</div>
					<div class="col-sm-3 col-4 mt-3">
					   <div>
						  <dl>
							 <dt class="text-uppercase h5"><strong>Community</strong></dt>
							 <dd><a href="https://fedoraproject.org/wiki/Join">Join Fedora</a></dd>
							 <dd><a href="https://fedoraproject.org/wiki/Overview">About Fedora</a></dd>
							 <dd><a href="http://fedoraplanet.org">Planet Fedora</a></dd>
							 <dd><a href="https://accounts.fedoraproject.org/">Fedora Accounts</a></dd>
						  </dl>
					   </div>
					</div>
				 </div>
				 <div class="row">
					<div class="col-12 text-center">
					   <p> Fedora is sponsored by Red Hat. <a href="https://www.redhat.com/en/technologies/linux-platforms/articles/relationship-between-fedora-and-rhel">Learn more about the relationship between Red Hat and Fedora »</a> </p>
					   <div class="py-3"> <a href="https://www.redhat.com/"><img class="rh-logo" height=24px src="/theme/redhat-logo.png" alt="Red Hat Logo"></a> </div>
					   <p> © 2022 Red Hat, Inc. and others. </p>
					</div>
				 </div>
			</div>
		</footer>
		<script src="dist/fedora-bootstrap.min.js"></script>
	</body>
</html>
